local sliceadmiral = LibStub("AceAddon-3.0"):GetAddon("SliceAdmiral");
local L = LibStub("AceLocale-3.0"):GetLocale("SliceAdmiral", true);
local addon = sliceadmiral:NewModule("ShowTimer");

function addon:OnInitialize()
local options = sliceadmiral.opt.ShowTimer 
options.childGroups="tab";
options.args = { 
			GrowUp = {name=L["Bars/GrowUp"],type="toggle",order=1,		
				get = function(info) return SAMod.ShowTimer.Options.Barsup; end,
				set = function(info,val) SAMod.ShowTimer.Options.Barsup = val; end
			},
			Sort = {name=L["Bars/Sort"],type="toggle",order=2,			
				get = function(info) return SAMod.ShowTimer.Options.SortBars; end,
				set = function(info,val) SAMod.ShowTimer.Options.SortBars = val; end
			},
			empty = {name="", type="description",order=3,},
			ShowDoT = {name=L["Bars/ShowDoT"],type="toggle",order=4,		
				get = function(info) return SAMod.ShowTimer.Options.ShowDoTDmg; end,
				set = function(info,val) SAMod.ShowTimer.Options.ShowDoTDmg = val; end
			},
			DoTCrit = {name=L["Bars/DoTCrit"],type="toggle",order=5,		
				get = function(info) return SAMod.ShowTimer.Options.DoTCrits; end,
				set = function(info,val) SAMod.ShowTimer.Options.DoTCrits = val; end
			},
			barTex = {name=L["Main/Texture"], type="select",order=6,
				values = SA_Text,
				get = function(info) return SAMod.ShowTimer.Options.BarTexture; end,
				set = function(info,val) SAMod.ShowTimer.Options.BarTexture = val, sliceadmiral:RetextureBars(val, "spells") end, 
			},
			MasterVolume = {name=L["Sound/MasterVolume"],desc=L["Sound/MasterDesc"],type="toggle",order=7,width="full",		
				get = function(info) return SAMod.Sound.MasterVolume; end,
				set = function(info,val) SAMod.Sound.MasterVolume = val; end
			},
			OutOfCombat = {name=L["Sound/OutOfCombat"],type="toggle",order=8,width="double",		
				get = function(info) return SAMod.Sound.OutOfCombat; end,
				set = function(info,val) SAMod.Sound.OutOfCombat = val; end
			},
			preview = {name=L["Sound/Preview"],type="toggle",order=9,width="full",			
				get = function(info) return SAMod.Sound.Preview; end,
				set = function(info,val) SAMod.Sound.Preview = val; end
			},
			Shared = {name=L["SharedAbilites"],type="group",order=10,childGroups="tree",args={},},
			Assassination = {name=L["Assassination"],type="group",order=20,childGroups="tree",args={},},
			Combat = {name=L["Combat"],type="group",order=30,childGroups="tree",args={},},
			Subtley ={name=L["Subtlety"],type="group",order=40,childGroups="tree",args={},},			
		}
	options.args.Shared.args["SliceAndDice"] = {name=SA_Spells[5171].name, type="group",
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[5171]; end,
				set = function(info,val) SAMod.ShowTimer[5171] = val; end
			},
			sEnabled = {name=L["alerts/enabled"],type="toggle",order=2,
				get = function(info) return SAMod.Sound[5171].enabled; end,
				set = function(info,val) SAMod.Sound[5171].enabled = val; end,
			},
			valuses = {name=L["bar/prep"], type="range", order=3,
				min=1.0,max=12.0, step=0.5,
				get = function(info) return SAMod.ShowTimer.Timers[5171]; end,
				set = function(info,val) 
					SAMod.ShowTimer.Timers[5171] = val; 
					SA_Data.BARS[SA_Spells[5171].name]["obj"]:SetMinMaxValues(0,val); end,
			},
			bar1 = {name=L["SoundSettings"],type="header",order=4},
			
			tick = {name=L["TickSound"],type="select",order=12,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[5171].tick; end,
				set = function(info,val)
					SAMod.Sound[5171].tick = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[5171].alert; end,
				set = function(info,val) SAMod.Sound[5171].alert = val;
				sliceadmiral:SA_SoundTest(val);				
				end
			},
		}
	};
	options.args.Shared.args["Recuperate"] = {name=SA_Spells[73651].name,type="group",
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[73651]; end,
				set = function(info,val) SAMod.ShowTimer[73651] = val; end
			},
			sEnabled = {name=L["alerts/enabled"],type="toggle",order=2,
				get = function(info) return SAMod.Sound[73651].enabled; end,
				set = function(info,val) SAMod.Sound[73651].enabled = val; end,
			},	
			valuses = {name=L["bar/prep"], type="range", order=3,
				min=1.0,max=12.0, step=0.5,
				get = function(info) return SAMod.ShowTimer.Timers[73651]; end,
				set = function(info,val) 
					SAMod.ShowTimer.Timers[73651] = val; 
					SA_Data.BARS[SA_Spells[73651].name]["obj"]:SetMinMaxValues(0,val); end,
			},				
			bar1 = {name=L["SoundSettings"],type="header",order=4},
			tick = {name=L["TickSound"],type="select",order=12,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[73651].tick; end,
				set = function(info,val)
					SAMod.Sound[73651].tick = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[73651].alert; end,
				set = function(info,val) SAMod.Sound[73651].alert = val;
				sliceadmiral:SA_SoundTest(val);
				end
			},
		},
	};
	options.args.Shared.args["InternalBleeding"] = {name=SA_Spells[154953].name,type="group",
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[154953]; end,
				set = function(info,val) SAMod.ShowTimer[154953] = val; end
			},
			sEnabled = {name=L["alerts/enabled"],type="toggle",order=2,
				get = function(info) return SAMod.Sound[154953].enabled; end,
				set = function(info,val) SAMod.Sound[154953].enabled = val; end,
			},			
			valuses = {name=L["bar/prep"], type="range", order=3,
				min=1.0,max=12.0, step=0.5,
				get = function(info) return SAMod.ShowTimer.Timers[154953]; end,
				set = function(info,val) 
					SAMod.ShowTimer.Timers[154953] = val; 
					SA_Data.BARS[SA_Spells[154953].name]["obj"]:SetMinMaxValues(0,val); end,
			},				
			bar1 = {name=L["SoundSettings"],type="header",order=4},		
			tick = {name=L["TickSound"],type="select",order=12,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[154953].tick; end,
				set = function(info,val)
					SAMod.Sound[154953].tick = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[154953].alert; end,
				set = function(info,val) SAMod.Sound[154953].alert = val;
				sliceadmiral:SA_SoundTest(val);
				end
			},
		},
	};
	options.args.Shared.args["BurstOfSpeed"] = {name=SA_Spells[137573].name,type="group",
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[137573]; end,
				set = function(info,val) SAMod.ShowTimer[137573] = val; end
			},			
			sEnabled = {name=L["alerts/enabled"],type="toggle",order=2,
				get = function(info) return SAMod.Sound[137573].enabled; end,
				set = function(info,val) SAMod.Sound[137573].enabled = val; end,
			},			
			valuses = {name=L["bar/prep"], type="range", order=3,
				min=1.0,max=12.0, step=0.5,
				get = function(info) return SAMod.ShowTimer.Timers[137573]; end,
				set = function(info,val) 
					SAMod.ShowTimer.Timers[137573] = val; 
					SA_Data.BARS[SA_Spells[137573].name]["obj"]:SetMinMaxValues(0,val); end,
			},				
			bar1 = {name=L["SoundSettings"],type="header",order=4},		
			tick = {name=L["TickSound"],type="select",order=12,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[137573].tick; end,
				set = function(info,val)
					SAMod.Sound[137573].tick = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[137573].alert; end,
				set = function(info,val) SAMod.Sound[137573].alert = val;
				sliceadmiral:SA_SoundTest(val);
				end
			},
		},
	};
	options.args.Shared.args["Feint"] = {name=SA_Spells[1966].name,type="group",
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[1966]; end,
				set = function(info,val) SAMod.ShowTimer[1966] = val; end
			},			
			sEnabled = {name=L["alerts/enabled"],type="toggle",order=2,
				get = function(info) return SAMod.Sound[1966].enabled; end,
				set = function(info,val) SAMod.Sound[1966].enabled = val; end,
			},			
			valuses = {name=L["bar/prep"], type="range", order=3,
				min=1.0,max=12.0, step=0.5,
				get = function(info) return SAMod.ShowTimer.Timers[1966]; end,
				set = function(info,val) 
					SAMod.ShowTimer.Timers[1966] = val; 
					SA_Data.BARS[SA_Spells[1966].name]["obj"]:SetMinMaxValues(0,val); end,
			},				
			bar1 = {name=L["SoundSettings"],type="header",order=4},	
			tick = {name=L["TickSound"],type="select",order=12,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[1966].tick; end,
				set = function(info,val)
					SAMod.Sound[1966].tick = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[1966].alert; end,
				set = function(info,val) SAMod.Sound[1966].alert = val;
				sliceadmiral:SA_SoundTest(val);
				end
			},
		},
	};
	options.args.Shared.args["Garrote"] = {name=SA_Spells[703].name,type="group",
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[703]; end,
				set = function(info,val) SAMod.ShowTimer[703] = val; end
			},			
			sEnabled = {name=L["alerts/enabled"],type="toggle",order=2,
				get = function(info) return SAMod.Sound[703].enabled; end,
				set = function(info,val) SAMod.Sound[703].enabled = val; end,
			},			
			valuses = {name=L["bar/prep"], type="range", order=3,
				min=1.0,max=12.0, step=0.5,
				get = function(info) return SAMod.ShowTimer.Timers[703]; end,
				set = function(info,val) 
					SAMod.ShowTimer.Timers[703] = val; 
					SA_Data.BARS[SA_Spells[703].name]["obj"]:SetMinMaxValues(0,val); end,
			},				
			bar1 = {name=L["SoundSettings"],type="header",order=4},		
			tick = {name=L["TickSound"],type="select",order=12,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[703].tick; end,
				set = function(info,val)
					SAMod.Sound[703].tick = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[703].alert; end,
				set = function(info,val) SAMod.Sound[703].alert = val;
				sliceadmiral:SA_SoundTest(val);
				end
			},
		},
	};
	options.args.Assassination.args["Rupture"] = {name=SA_Spells[1943].name,type="group",
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[1943]; end,
				set = function(info,val) SAMod.ShowTimer[1943] = val; end
			},			
			sEnabled = {name=L["alerts/enabled"],type="toggle",order=2,
				get = function(info) return SAMod.Sound[1943].enabled; end,
				set = function(info,val) SAMod.Sound[1943].enabled = val; end,
			},			
			valuses = {name=L["bar/prep"], type="range", order=3,
				min=1.0,max=12.0, step=0.5,
				get = function(info) return SAMod.ShowTimer.Timers[1943]; end,
				set = function(info,val) 
					SAMod.ShowTimer.Timers[1943] = val; 
					SA_Data.BARS[SA_Spells[1943].name]["obj"]:SetMinMaxValues(0,val); end,
			},				
			bar1 = {name=L["SoundSettings"],type="header",order=4},		
			tick = {name=L["TickSound"],type="select",order=12,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[1943].tick; end,
				set = function(info,val)
					SAMod.Sound[1943].tick = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[1943].alert; end,
				set = function(info,val) SAMod.Sound[1943].alert = val;
				sliceadmiral:SA_SoundTest(val);
				end
			},
		},
	};
	options.args.Assassination.args["Vendetta"] = {name=SA_Spells[79140].name,type="group",	
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[79140]; end,
				set = function(info,val) SAMod.ShowTimer[79140] = val; end
			},			
			sEnabled = {name=L["alerts/enabled"],type="toggle",order=2,
				get = function(info) return SAMod.Sound[79140].enabled; end,
				set = function(info,val) SAMod.Sound[79140].enabled = val; end,
			},			
			valuses = {name=L["bar/prep"], type="range", order=3,
				min=1.0,max=12.0, step=0.5,
				get = function(info) return SAMod.ShowTimer.Timers[79140]; end,
				set = function(info,val) 
					SAMod.ShowTimer.Timers[79140] = val; 
					SA_Data.BARS[SA_Spells[79140].name]["obj"]:SetMinMaxValues(0,val); end,
			},				
			bar1 = {name=L["SoundSettings"],type="header",order=4},		
			tick = {name=L["TickSound"],type="select",order=12,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[79140].tick; end,
				set = function(info,val)
					SAMod.Sound[79140].tick = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[79140].alert; end,
				set = function(info,val) SAMod.Sound[79140].alert = val;
				sliceadmiral:SA_SoundTest(val);
				end
			},
		},
	};
	options.args.Assassination.args["Envenom"] = {name=SA_Spells[32645].name,type="group",
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[32645]; end,
				set = function(info,val) SAMod.ShowTimer[32645] = val; end
			},			
			sEnabled = {name=L["alerts/enabled"],type="toggle",order=2,
				get = function(info) return SAMod.Sound[32645].enabled; end,
				set = function(info,val) SAMod.Sound[32645].enabled = val; end,
			},			
			valuses = {name=L["bar/prep"], type="range", order=3,
				min=1.0,max=12.0, step=0.5,
				get = function(info) return SAMod.ShowTimer.Timers[32645]; end,
				set = function(info,val) 
					SAMod.ShowTimer.Timers[32645] = val; 
					SA_Data.BARS[SA_Spells[32645].name]["obj"]:SetMinMaxValues(0,val); end,
			},				
			bar1 = {name=L["SoundSettings"],type="header",order=4},		
			tick = {name=L["TickSound"],type="select",order=12,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[32645].tick; end,
				set = function(info,val)
					SAMod.Sound[32645].tick = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[32645].alert; end,
				set = function(info,val) SAMod.Sound[32645].alert = val;
				sliceadmiral:SA_SoundTest(val);
				end
			},
		},
	};
	options.args.Assassination.args["DeadlyPoison"] = {name=SA_Spells[2818].name,type="group",
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[2818]; end,
				set = function(info,val) SAMod.ShowTimer[2818] = val; end
			},			
			sEnabled = {name=L["alerts/enabled"],type="toggle",order=2,
				get = function(info) return SAMod.Sound[2818].enabled; end,
				set = function(info,val) SAMod.Sound[2818].enabled = val; end,
			},			
			valuses = {name=L["bar/prep"], type="range", order=3,
				min=1.0,max=12.0, step=0.5,
				get = function(info) return SAMod.ShowTimer.Timers[2818]; end,
				set = function(info,val) 
					SAMod.ShowTimer.Timers[2818] = val; 
					SA_Data.BARS[SA_Spells[2818].name]["obj"]:SetMinMaxValues(0,val); end,
			},				
			bar1 = {name=L["SoundSettings"],type="header",order=4},		
			tick = {name=L["TickSound"],type="select",order=12,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[2818].tick; end,
				set = function(info,val)
					SAMod.Sound[2818].tick = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[2818].alert; end,
				set = function(info,val) SAMod.Sound[2818].alert = val;
				sliceadmiral:SA_SoundTest(val);
				end
			},
		},
	};
	options.args.Combat.args["RevealingStrike"] = {name=SA_Spells[84617].name,type="group",
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[84617]; end,
				set = function(info,val) SAMod.ShowTimer[84617] = val; end
			},			
			sEnabled = {name=L["alerts/enabled"],type="toggle",order=2,
				get = function(info) return SAMod.Sound[84617].enabled; end,
				set = function(info,val) SAMod.Sound[84617].enabled = val; end,
			},			
			valuses = {name=L["bar/prep"], type="range", order=3,
				min=1.0,max=12.0, step=0.5,
				get = function(info) return SAMod.ShowTimer.Timers[84617]; end,
				set = function(info,val) 
					SAMod.ShowTimer.Timers[84617] = val; 
					SA_Data.BARS[SA_Spells[84617].name]["obj"]:SetMinMaxValues(0,val); end,
			},				
			bar1 = {name=L["SoundSettings"],type="header",order=4},		
			tick = {name=L["TickSound"],type="select",order=12,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[84617].tick; end,
				set = function(info,val)
					SAMod.Sound[84617].tick = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[84617].alert; end,
				set = function(info,val) SAMod.Sound[84617].alert = val;
				sliceadmiral:SA_SoundTest(val);
				end
			},
		},
	};
	options.args.Combat.args["AdrenalineRush"] = {name=SA_Spells[13750].name,type="group",
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[13750]; end,
				set = function(info,val) SAMod.ShowTimer[13750] = val; end
			},			
			sEnabled = {name=L["alerts/enabled"],type="toggle",order=2,
				get = function(info) return SAMod.Sound[13750].enabled; end,
				set = function(info,val) SAMod.Sound[13750].enabled = val; end,
			},			
			valuses = {name=L["bar/prep"], type="range", order=3,
				min=1.0,max=12.0, step=0.5,
				get = function(info) return SAMod.ShowTimer.Timers[13750]; end,
				set = function(info,val) 
					SAMod.ShowTimer.Timers[13750] = val; 
					SA_Data.BARS[SA_Spells[13750].name]["obj"]:SetMinMaxValues(0,val); end,
			},				
			bar1 = {name=L["SoundSettings"],type="header",order=4},		
			tick = {name=L["TickSound"],type="select",order=12,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[13750].tick; end,
				set = function(info,val)
					SAMod.Sound[13750].tick = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[13750].alert; end,
				set = function(info,val) SAMod.Sound[13750].alert = val;
				sliceadmiral:SA_SoundTest(val);
				end
			},
		},
	};
	options.args.Combat.args["BanditsGuile"] = {name=L["BanditsGuile"],type="group",
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[84745]; end,
				set = function(info,val) SAMod.ShowTimer[84745] = val;SAMod.ShowTimer[84746] = val;SAMod.ShowTimer[84747] = val; end
			},			
			sEnabled = {name=L["alerts/enabled"],type="toggle",order=2,
				get = function(info) return SAMod.Sound[84745].enabled; end,
				set = function(info,val) SAMod.Sound[84745].enabled = val; SAMod.Sound[84746].enabled = val;SAMod.Sound[84747].enabled = val;end,
			},			
			valuses = {name=L["bar/prep"], type="range", order=3,
				min=1.0,max=12.0, step=0.5,
				get = function(info) return SAMod.ShowTimer.Timers[84745]; end,
				set = function(info,val) 
					SAMod.ShowTimer.Timers[84745] = val; 
					SA_Data.BARS[SA_Spells[84745].name]["obj"]:SetMinMaxValues(0,val);
					SAMod.ShowTimer.Timers[84746] = val; 
					SA_Data.BARS[SA_Spells[84746].name]["obj"]:SetMinMaxValues(0,val);
					SAMod.ShowTimer.Timers[84747] = val; 
					SA_Data.BARS[SA_Spells[84747].name]["obj"]:SetMinMaxValues(0,val);end,
			},				
			bar1 = {name=L["SoundSettings"],type="header",order=4},	
			bar2 = {name=SA_Spells[84745].name,type="description",order=10,},
			tick = {name=L["TickSound"],type="select",order=11,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[84745].tick; end,
				set = function(info,val)
					SAMod.Sound[84745].tick = val;					
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=12,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[84745].alert; end,
				set = function(info,val) SAMod.Sound[84745].alert = val;				
				sliceadmiral:SA_SoundTest(val);
				end
			},
			bar3 = {name=SA_Spells[84746].name,type="description",order=13,width="double",},	
			tick1 = {name=L["TickSound"],type="select",order=14,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[84746].tick; end,
				set = function(info,val)
					SAMod.Sound[84746].tick = val;					
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert1 = {name=L["AlertSound"],type="select",order=15,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[84746].alert; end,
				set = function(info,val) SAMod.Sound[84746].alert = val;				
				sliceadmiral:SA_SoundTest(val);
				end
			},
			bar4 = {name=SA_Spells[84747].name,type="description",order=16,width="double",},	
			tick2 = {name=L["TickSound"],type="select",order=17,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[84747].tick; end,
				set = function(info,val)
					SAMod.Sound[84747].tick = val;					
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert2 = {name=L["AlertSound"],type="select",order=18,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[84747].alert; end,
				set = function(info,val) SAMod.Sound[84747].alert = val;				
				sliceadmiral:SA_SoundTest(val);
				end
			},
			
		},
	};
	options.args.Combat.args["Crimson Tempest"] = {name=SA_Spells[122233].name,type="group",
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[122233]; end,
				set = function(info,val) SAMod.ShowTimer[122233] = val; end
			},			
			sEnabled = {name=L["alerts/enabled"],type="toggle",order=2,
				get = function(info) return SAMod.Sound[122233].enabled; end,
				set = function(info,val) SAMod.Sound[122233].enabled = val; end,
			},			
			valuses = {name=L["bar/prep"], type="range", order=3,
				min=1.0,max=12.0, step=0.5,
				get = function(info) return SAMod.ShowTimer.Timers[122233]; end,
				set = function(info,val) 
					SAMod.ShowTimer.Timers[122233] = val; 
					SA_Data.BARS[SA_Spells[122233].name]["obj"]:SetMinMaxValues(0,val); end,
			},				
			bar1 = {name=L["SoundSettings"],type="header",order=4},			
			tick = {name=L["TickSound"],type="select",order=12,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[122233].tick; end,
				set = function(info,val)
					SAMod.Sound[122233].tick = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[122233].alert; end,
				set = function(info,val) SAMod.Sound[122233].alert = val;
				sliceadmiral:SA_SoundTest(val);
				end
			},
		},
	};
	options.args.Subtley.args["Rupture"] = options.args.Assassination.args["Rupture"];
	options.args.Subtley.args["FindWeakness"] = {name=SA_Spells[91021].name,type="group",
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[91021]; end,
				set = function(info,val) SAMod.ShowTimer[91021] = val; end
			},			
			sEnabled = {name=L["alerts/enabled"],type="toggle",order=2,
				get = function(info) return SAMod.Sound[91021].enabled; end,
				set = function(info,val) SAMod.Sound[91021].enabled = val; end,
			},
			valuses = {name=L["bar/prep"], type="range", order=3,
				min=1.0,max=12.0, step=0.5,
				get = function(info) return SAMod.ShowTimer.Timers[91021]; end,
				set = function(info,val) 
					SAMod.ShowTimer.Timers[91021] = val; 
					SA_Data.BARS[SA_Spells[91021].name]["obj"]:SetMinMaxValues(0,val); end,
			},				
			bar1 = {name=L["SoundSettings"],type="header",order=4},		
			tick = {name=L["TickSound"],type="select",order=12,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[91021].tick; end,
				set = function(info,val)
					SAMod.Sound[91021].tick = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[91021].alert; end,
				set = function(info,val) SAMod.Sound[91021].alert = val;
				sliceadmiral:SA_SoundTest(val);
				end
			},
		},
	};
	options.args.Subtley.args["Hemorrhage"] = {name=SA_Spells[16511].name,type="group",
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[16511]; end,
				set = function(info,val) SAMod.ShowTimer[16511] = val; end
			},			
			sEnabled = {name=L["alerts/enabled"],type="toggle",order=2,
				get = function(info) return SAMod.Sound[16511].enabled; end,
				set = function(info,val) SAMod.Sound[16511].enabled = val; end,
			},
			valuses = {name=L["bar/prep"], type="range", order=3,
				min=1.0,max=12.0, step=0.5,
				get = function(info) return SAMod.ShowTimer.Timers[16511]; end,
				set = function(info,val) 
					SAMod.ShowTimer.Timers[16511] = val; 
					SA_Data.BARS[SA_Spells[16511].name]["obj"]:SetMinMaxValues(0,val); end,
			},				
			bar1 = {name=L["SoundSettings"],type="header",order=4},		
			tick = {name=L["TickSound"],type="select",order=12,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[16511].tick; end,
				set = function(info,val)
					SAMod.Sound[16511].tick = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[16511].alert; end,
				set = function(info,val) SAMod.Sound[16511].alert = val;
				sliceadmiral:SA_SoundTest(val);
				end
			},
		},
	};
	options.args.Subtley.args["DeadlyPoison"] = options.args.Assassination.args["DeadlyPoison"];	
	options.args.Subtley.args["Crimson Tempest"] = options.args.Combat.args["Crimson Tempest"];
	options.args.Subtley.args["ShadowDance"] = {name=SA_Spells[51713].name,type="group",
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[51713]; end,
				set = function(info,val) SAMod.ShowTimer[51713] = val; end
			},			
			sEnabled = {name=L["alerts/enabled"],type="toggle",order=2,
				get = function(info) return SAMod.Sound[51713].enabled; end,
				set = function(info,val) SAMod.Sound[51713].enabled = val; end,
			},		
			valuses = {name=L["bar/prep"], type="range", order=3,
				min=1.0,max=12.0, step=0.5,
				get = function(info) return SAMod.ShowTimer.Timers[51713]; end,
				set = function(info,val) 
					SAMod.ShowTimer.Timers[51713] = val; 
					SA_Data.BARS[SA_Spells[51713].name]["obj"]:SetMinMaxValues(0,val); end,
			},			
			bar1 = {name=L["SoundSettings"],type="header",order=4},		
			tick = {name=L["TickSound"],type="select",order=12,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[51713].tick; end,
				set = function(info,val)
					SAMod.Sound[51713].tick = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[51713].alert; end,
				set = function(info,val) SAMod.Sound[51713].alert = val;
				sliceadmiral:SA_SoundTest(val);
				end
			},
		},
	};
	
end